Subject: Re: Failures in GitHub Actions linux-leaks and linux-asan-ubsan

From: Junio C Hamano <[email-masked]>
Date: Sat, 16 Mar 2024 16:31:15 -0700

Philippe Blain <[email-masked]> writes:

> Hi everyone,
>
> You might have noticed that the linux-leaks and linux-asan-ubsan
> jobs in GitHub Actions started failing last week. I investigated 
> this so I'm sharing my findinds in case it helps.
>
> The failures are due to the new ubuntu-22.04 GitHub Actions image
> (release 20240310.1.0, [1]) which uses a kernel where ASLR is configured
> in a way that is incompatible with ASan and LSan as used in 
> the GCC and Clang versions in that image. More info can be found
> in [2] and [3] and pages linked there.
>
> A workaround was already implemented in the image generation process 
> [4], so the next version of the image should work. I think the images
> are released weekly. We could maybe add the same sysctl command to reduce
> the entropy to our YAML file, or we could live with it for the next week
> or so while waiting for the next image to roll out.

Ah, just what I needed, as I was looking at the CI results and
noticed these failed runs.  Thanks.